# property::is-readonly

Checks whether the specified property is read-only.

### Usage

`bool property::is-readonly(name)`

### Parameters

Name | Type | Description
--- | --- | ---
name | string | The property to test.

### Return Value

true if the specified property is read-only; otherwise, false.

### Exceptions

The function will fail in any of the following circumstances:

- Property name has not been set.

### Examples

- Check whether the "debug" property is read-only.

      property::is-readonly('debug')

### Requirements

Assembly: NAnt.Core (0.92.4543.0)